﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing.Printing;
using System.Management;

namespace TweakAPI.Info
{
    /// <summary>
    /// Provides information about the installed printers.
    /// </summary>
    public static class Printer
    {
        /// <summary>
        /// Returns a <see cref="string"/>-Array containing information about the installed printers.
        /// </summary>
        /// <returns></returns>
        public static string[] EnumerateDevices()
        {
            List<string> pList = new List<string>();
            foreach (string printer in PrinterSettings.InstalledPrinters)
            {
                pList.Add(printer);
            }
            return pList.ToArray();
        }

        /// <summary>
        /// Returns the default printer.
        /// </summary>
        public static string DefaultPrinter
        {
            get
            {
                PrinterSettings defPrinter = new PrinterSettings();
                return defPrinter.PrinterName;
            }
        }
    }
}
